Data Fields

# arm_lms_norm_instance_q15 Struct Reference

Instance structure for the Q15 normalized LMS filter. More...

`#include <arm_math.h>`

## Data Fields
uint16_t | numTaps
q15_t * | pState
q15_t * | pCoeffs
q15_t | mu
uint8_t | postShift
q15_t * | recipTable
q15_t | energy
q15_t | x0

## Detailed Description

Instance structure for the Q15 normalized LMS filter.

Definition at line 4161 of file arm_math.h.

## Field Documentation

uint16_t arm_lms_norm_instance_q15::numTaps

Number of coefficients in the filter.

Definition at line 4163 of file arm_math.h.

q15_t* arm_lms_norm_instance_q15::pState

points to the state variable array. The array is of length numTaps+blockSize-1.

Definition at line 4164 of file arm_math.h.

q15_t* arm_lms_norm_instance_q15::pCoeffs

points to the coefficient array. The array is of length numTaps.

Definition at line 4165 of file arm_math.h.

q15_t arm_lms_norm_instance_q15::mu

step size that controls filter coefficient updates.

Definition at line 4166 of file arm_math.h.

uint8_t arm_lms_norm_instance_q15::postShift

bit shift applied to coefficients.

Definition at line 4167 of file arm_math.h.

q15_t* arm_lms_norm_instance_q15::recipTable

Points to the reciprocal initial value table.

Definition at line 4168 of file arm_math.h.

q15_t arm_lms_norm_instance_q15::energy

saves previous frame energy.

Definition at line 4169 of file arm_math.h.

q15_t arm_lms_norm_instance_q15::x0

saves previous input sample.

Definition at line 4170 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines